Skip to main content
POST
/
signing-requests
/
{request_id}
/
custom-fields
Create signing request custom field
curl --request POST \
  --url https://api.firma.dev/functions/v1/signing-request-api/signing-requests/{request_id}/custom-fields \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "field_label": "<string>",
  "field_name": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "field_name": "<string>",
  "field_label": "<string>",
  "copied_from_template": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.firma.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

request_id
string<uuid>
required

Body

application/json
field_label
string
required
Maximum string length: 100
field_name
string
Maximum string length: 50

Response

Custom field created successfully

A custom field definition for a signing request

id
string<uuid>

Unique identifier

field_name
string

Machine-readable field name

field_label
string

Human-readable display label

copied_from_template
boolean

True if this field was copied from a template

created_at
string<date-time>
updated_at
string<date-time>